Bug 110651 - [CI][DRMTIP] igt@kms_chamelium@dp-audio - fail - Not a valid port_id for audio operation
Summary: [CI][DRMTIP] igt@kms_chamelium@dp-audio - fail - Not a valid port_id for audi...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-09 08:03 UTC by Lakshmi
Modified: 2019-05-15 06:04 UTC (History)
2 users (show)

See Also:
i915 platform: CFL, ICL, KBL
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-05-09 08:03:07 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_281/fi-kbl-7500u/igt@kms_chamelium@dp-audio.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_281/fi-icl-u2/igt@kms_chamelium@dp-audio.html

Starting subtest: dp-audio
Home directory not accessible: Permission denied
(kms_chamelium:2242) igt_chamelium-CRITICAL: Test assertion failure function chamelium_rpc, file ../lib/igt_chamelium.c:312:
(kms_chamelium:2242) igt_chamelium-CRITICAL: Failed assertion: !chamelium->env.fault_occurred
(kms_chamelium:2242) igt_chamelium-CRITICAL: Chamelium RPC call failed: RPC failed at server.  <class 'chameleond.utils.flow_manager.FlowManagerError'>:Not a valid port_id for audio operation: 1
Subtest dp-audio failed.
Comment 1 CI Bug Log 2019-05-09 08:05:57 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* KBL ICL: igt@kms_chamelium@dp-audio - fail/dmesg-fail - Not a valid port_id for audio operation
  (No new failures associated)
Comment 2 emersion 2019-05-14 12:16:42 UTC
Fixed with https://gitlab.freedesktop.org/drm/igt-gpu-tools/commit/512aad1e6a3c0725a92fb8ccd2f7162caa81a628

Audio tests are now skipped.
Comment 3 CI Bug Log 2019-05-15 05:55:02 UTC
A CI Bug Log filter associated to this bug has been updated:

{- KBL ICL: igt@kms_chamelium@dp-audio - fail/dmesg-fail - Not a valid port_id for audio operation -}
{+ CML KBL ICL: igt@kms_chamelium@dp-audio - fail/dmesg-fail - Not a valid port_id for audio operation +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_284/fi-cml-u2/igt@kms_chamelium@dp-audio.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_285/fi-cml-u2/igt@kms_chamelium@dp-audio.html
Comment 4 Lakshmi 2019-05-15 05:56:21 UTC
(In reply to CI Bug Log from comment #3)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- KBL ICL: igt@kms_chamelium@dp-audio - fail/dmesg-fail - Not a valid
> port_id for audio operation -}
> {+ CML KBL ICL: igt@kms_chamelium@dp-audio - fail/dmesg-fail - Not a valid
> port_id for audio operation +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_284/fi-cml-u2/
> igt@kms_chamelium@dp-audio.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_285/fi-cml-u2/
> igt@kms_chamelium@dp-audio.html

Also seen on CML. Hope the fix will help here.
Comment 5 Lakshmi 2019-05-15 05:58:46 UTC
(In reply to emersion from comment #2)
> Fixed with
> https://gitlab.freedesktop.org/drm/igt-gpu-tools/commit/
> 512aad1e6a3c0725a92fb8ccd2f7162caa81a628
> 
> Audio tests are now skipped.

This failure happened today on CML. 
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_285/fi-cml-u2/igt@kms_chamelium@dp-audio.html
Comment 6 emersion 2019-05-15 06:04:17 UTC
This build is missing the patch. There is only one requirement line:

(kms_chamelium:1311) DEBUG: Test requirement passed: alsa_has_exclusive_access()

Patched builds will also contain another requirement line for has_audio_support.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.